# TODO after : split in several packages (one by language)
%define	version 1.2
%define	release 2mdk

Summary:	The GNOME Users' Guide
Name:		gnome-users-guide
Version:	%version
Release:	%release
License:	GPL
Group:		Graphical desktop/GNOME
Icon:		gnome-logo.xpm

Source:		users-guide-%{version}.tar.bz2
Source1:	users-guide-1.0.5-de.tar.bz2
Source2:	users-guide-1.0.5-es.tar.bz2
Source3:	users-guide-1.0.5-it.tar.bz2
Source4:	gnome-user-guide-fr.tar.bz2

BuildRoot:	%{_tmppath}/gnome-users-guide-%{version}-root
BuildArchitectures: noarch

%description
This package will install the users' guide for the
GNOME Desktop Environment on your computer.

Avalaible languages are:
  - English
  - French
  - German
  - Italian
  - Spanish

%prep
%setup -n users-guide-%{version} -q

%build
%configure

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%makeinstall

# hack de into this for now
cd $RPM_BUILD_ROOT/%{_datadir}/gnome/help/users-guide
bzcat %{SOURCE1} | tar xf -

# spanish
cd $RPM_BUILD_ROOT/%{_datadir}/gnome/help/users-guide
bzcat %{SOURCE2} | tar xf -
mv guia_usuario es

# french
cd $RPM_BUILD_ROOT
bzcat %{SOURCE4} | tar xf -
cd  $RPM_BUILD_ROOT/%{_datadir}/gnome/help/users-guide/fr
perl -p -i -e "s|><BODY|><BODY bgcolor="white" text="black" link="darkblue" vlink="darkgreen" alink="red"|" *.html

# italian
cd $RPM_BUILD_ROOT/%{_datadir}/gnome/help/users-guide
bzcat %{SOURCE3} | tar xf -
mv users-guide it
for i in `find it -name "*.htm*"` ; do
        cp $i A
        cat A | sed 's|../figs/|figs/|g' > $i
done
rm A
mkdir -p it/figs
for i in `find C/figs/ -name "*"` ; do		
		ln -s ../../$i it/figs/`echo $i | sed 's|C/figs/||g'`
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc README ChangeLog
%dir %{_datadir}/gnome/help/users-guide
%{_datadir}/gnome/help/users-guide/C
%lang(de) %{_datadir}/gnome/help/users-guide/de
%lang(es) %{_datadir}/gnome/help/users-guide/es
%lang(it) %{_datadir}/gnome/help/users-guide/it
%lang(fr) %{_datadir}/gnome/help/users-guide/fr

%changelog
* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-2mdk
- Resurrect from Mdk 8.0

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2.0 (from helix)
- correct creation of symlink for italian manual

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0.71-4mdk
- spec cleanup

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0.71-3mdk
- BM + macrozification.

* Thu May 18 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.71-3mdk
- New group

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.71-2mdk
- Add french translation
- Complete Description
- Use %%{_tmppath} for BuildRoot
- Clean after build
- Don't use %%{prefix} but %%{_prefix}

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.71 (lets see if i can _not_ break any pablo work)

* Wed Sep 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added es,it guides

* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- added german translation

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.

* Fri Apr 02 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.5

* Mon Mar 22 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.4

* Mon Mar 15 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3

* Fri Mar 12 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5rh - special version for 5.2/GNOME beta CD

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5

* Thu Feb 04 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.2

* Thu Dec 17 1998 Michael Fulbright <drmike@redhat.com>
- first pass at a spec file

